'                               Dragon Slayer RPG DEMO v0.1
'                                 -===================|----
'  This is a short RPG demo of an RPG that I'm sorta working on. It's never
'  probably going to get completed but atleast you can see what could have
'  been. In this demo you start with all the armor and weapons in the game
'  It's just to show you the battle system and the menu system that have been
'  programmed.
'                                       -Nukem (2-11-03)
'
' *NOTE:* The randomization for the enemies will vary in occurance depending
'         on the speed of your computer. It's currently set at 3000 and it
'         works nice on my 233MHz P2.. It works good at 400 on my 25MHz 486.
'         Play with the number below if you have to, but it should work fine
'         without doing that. (32,000 is the max)
'
' CONTROLS:
' ---------
' In "adventure" map:
' ARROW KEYS: move
' ENTER KEY: open main menu
' ESC: quit the game
' Q KEY: Quits the game without asking. (basically it's an easy quit for me
'        when I'm programming and testing stuff...)
'
' In main menu:
' Stats: views characters current stats and equipped items.
' Items: views current items you hold; you can use them from here also.
' Equip: Equip a certian armor/weapon. Hit ENTER to move over to the armors
'        and equip the selected sword or hit ESC and move to armors w/o
'        equiping the selected sword and keep current selected sword. ENTER
'        to equip selected armor or ESC to keep current armor equiped.
' Quit: Leaves the main menu and goes to the "adventure map"
'
' In Battle:
' Attack: Attack the current monster with current equiped weapon. In this
'         version, monsters ALWAYS COUNTER. Be careful.
' Defend: Doubles you Defense (DEF) and lets the monster attack you. If enemy
'         is unable to do damage, it will simply hit you for "1"
' Run: Attempt to run away from current monster. You either make it out safe
'      or the enemy has a chance to attack you. (while you off guard no less)
' Item: Same as the item screen on the main menu, you can use heal herbs,
'       antidotes, or flee battles during your fight. THIS DOES NOT COUNT AS
'       A USED TURN! YOU WILL NOT GET ATTACKED FOR USING AN ITEM!
'
' Item Descriptions:
' Heal Herb: (or "herb" for short) You start with one of these, and find
'            them from monster drops. They restore 20HP of your current HP
'            in one use.
' Antidote: (or "cure" for short) Cures any poison your body may have. Also
'           found from monster drops.
' Flee Battle: (or "flee" for short) In the demo, they only work in battle.
'              They just as they say, you run away with 100% chance of escape.
'              In the final version you can use them in the "adventure" map
'              to return to last visited towns.
'
' Weapon Descriptions:
' Short Sword: Weak, bad sword you start out with. Does little damage.
' Iron Sword: Higher class sword that has a decent ATK bonus. This sword
'             you will most likely get in the middle of the adventure.
' ?SPECIAL WEAPON: Special weapons are dropped from rare enemies, they have
'                  insane ATK bonuses and are the best weapons in the game.
'                  In this demo you start out with one called the "LEAD SWORD"
'                  This will NOT be in the final version. It's just for
'                  demonstration. ?SPECIAL WEAPONS can only be tecked by good
'                  blacksmiths. (not present in this version)
'
' Armor Descriptions:
' Leather Armor: Weak, bad armor you start out with. Not much better than a
'                regular shirt.
' Chain Mail: Higher class armor that has a mediocre DEF bonus. Most likely
'             recieved in mid adventure in the final version.
' ?SPECIAL ARMOR: Special armor, like special weapons have crazy stats. The
'                 DEF bonuses are like nothing else in the game. In this
'                 version you start with a special armor called "HOLY ARMOR"
'                 which will also not be present in the final version. Only
'                 good blacksmiths can teck them. (Not present in this version)
'
'Rare Enemies:
' There is one rare enemy in this version, and even with all the weapons in
' the game he may be impossible. You need a lot of HP, ATK, and DEF to even
' think of taking one of these on. If you succeed in defeating one, a
' ?SPECIAL WEAPON or ?SPECIAL ARMOR will drop. (Similar to that of Phantasy
' Star Online) These weapons and armor can NOT be used until they are tecked
' by a blacksmith. (not avalable in this version)

DECLARE SUB player ()

CLS
SCREEN 9

COLOR 4: PSET (30, 10): DRAW "d100 e40 u20 h40"
PSET (75, 10): DRAW "d100 u50 r20 f30 h30 e10 u30 h10 l20"
PSET (125, 10): DRAW "d100 u50 r30 d50 u100 l30"
PSET (165, 10): DRAW "d100 r50 u30 l30 r40 l10 d30 l50 u100 r50 d15"
PSET (230, 10): DRAW "d100 r50 u100 l50"
PSET (290, 10): DRAW "d100 u100 f100 u100"

PSET (165, 120): DRAW "r50 l50 d30 r50 d40 l50"
PSET (225, 120): DRAW "d70 r30"
PSET (265, 120): DRAW "d70 u50 r50 d50 u70 l50"
PSET (325, 120): DRAW "d30 r50 u30 d30 l25 d40"
PSET (380, 120): DRAW "d70 r50 l50 u35 r50 l50 u35 r50"
PSET (440, 120): DRAW "d70 u40 r20 f30 h30 e10 u10 h10 l20"

COLOR 15: LOCATE 5, 55: PRINT "(c) 2003 Nukem Enterprises"
COLOR 8: LOCATE 10, 10: PRINT "ver 0.1"

COLOR 8: PSET (120, 230): DRAW "r100 u20 r5 d60 l5 u20 l100 u20": PAINT (121, 233)
COLOR 7: PSET (225, 220): DRAW "r360 g40 l320 u40 ": PAINT (227, 225)

x% = 1

DO
        x% = x% + 1
        IF x% > 15 THEN x% = 1
        COLOR x%: LOCATE 22, 30: PRINT "PRESS ANY KEY"
LOOP WHILE INKEY$ = ""



RANDOMIZE TIMER

CLS

backgroundcolor% = 2

xpos% = 50
ypos% = 50
baseDFP% = 0
baseATK% = 1
outsideATK = 1
outsideDFP% = 0
exp1% = 10
gold% = 0
herbs% = 1
antidotes% = 0
flees% = 0
currentHP% = 16
maxHP% = 16
poison% = 0
playerLEVEL% = 1
haveSPECIALWEAPON% = 0
haveSPECIALARMOR% = 0
sword1name$ = "Short Sword"
sword2name$ = "Iron Sword"
SPECIALSWORD1name$ = "LEAD SWORD"
armor1name$ = "Leather Armor"
armor2name$ = "Chain Mail"
SPECIALARMOR1name$ = "HOLY ARMOR"
weapon1% = 1
weapon2% = 1
weapon3% = 1

weaponEQ% = 0
armorEQ% = 0

armor1% = 1
armor2% = 1
armor3% = 1


backtogame:

COLOR 15, backgroundcolor%
PSET (xpos%, ypos%): player


DO

LOCATE 1, 1: COLOR 15: PRINT "HP: "; currentHP%; " / "; maxHP%
LOCATE 2, 1: COLOR 15: PRINT "LEVEL: "; playerLEVEL%

x% = (RND * 3000) + 1        'This sets the enemy occurance randomization.

a$ = INKEY$

'up
IF a$ = CHR$(0) + CHR$(72) THEN
        IF poison% = 1 THEN
                currentHP% = currentHP% - 1
                IF currentHP% <= 0 THEN
                        COLOR 4: LOCATE 15, 10: PRINT "GAME OVER!"
                        DO: LOOP WHILE INKEY$ = ""
                        CLS : END
                END IF
        END IF
        PSET (xpos%, ypos%): COLOR backgroundcolor%, backgroundcolor%: player
        PSET (xpos%, ypos%): COLOR 15, backgroundcolor%: player
        ypos% = ypos% - 20
        PSET (xpos%, ypos%): COLOR backgroundcolor%, backgroundcolor%: player
END IF

'down
IF a$ = CHR$(0) + CHR$(80) THEN
        IF poison% = 1 THEN
                currentHP% = currentHP% - 1
                IF currentHP% <= 0 THEN
                        COLOR 4: LOCATE 15, 10: PRINT "GAME OVER!"
                        DO: LOOP WHILE INKEY$ = ""
                        CLS : END
                END IF
        END IF
       
        PSET (xpos%, ypos%): COLOR backgroundcolor%, backgroundcolor%: player
        PSET (xpos%, ypos%): COLOR 15, backgroundcolor%: player
        ypos% = ypos% + 20
        PSET (xpos%, ypos%): COLOR backgroundcolor%, backgroundcolor%: player
END IF

'left
IF a$ = CHR$(0) + CHR$(75) THEN
        IF poison% = 1 THEN
                currentHP% = currentHP% - 1
                IF currentHP% <= 0 THEN
                        COLOR 4: LOCATE 15, 10: PRINT "GAME OVER!"
                        DO: LOOP WHILE INKEY$ = ""
                        CLS : END
                END IF
        END IF
       
        PSET (xpos%, ypos%): COLOR backgroundcolor%, backgroundcolor%: player
        PSET (xpos%, ypos%): COLOR 15, backgroundcolor%: player
        xpos% = xpos% - 20
        PSET (xpos%, ypos%): COLOR backgroundcolor%, backgroundcolor%: player
END IF

'right
IF a$ = CHR$(0) + CHR$(77) THEN
        IF poison% = 1 THEN
                currentHP% = currentHP% - 1
                IF currentHP% <= 0 THEN
                        COLOR 4: LOCATE 15, 10: PRINT "GAME OVER!"
                        DO: LOOP WHILE INKEY$ = ""
                        CLS : END
                END IF
        END IF
       
        PSET (xpos%, ypos%): COLOR backgroundcolor%, backgroundcolor%: player
        PSET (xpos%, ypos%): COLOR 15, backgroundcolor%: player
        xpos% = xpos% + 20
        PSET (xpos%, ypos%): COLOR backgroundcolor%, backgroundcolor%: player
END IF

IF a$ = "q" THEN END

IF a$ = CHR$(13) THEN GOSUB menu
IF a$ = CHR$(27) THEN GOSUB sure


IF x% = 500 THEN
        enemy% = (RND * 500) + 1
        IF enemy% < 240 THEN enemy% = 1
        IF enemy% > 350 THEN enemy% = 2
        IF enemy% >= 341 THEN
               IF enemy% <= 350 THEN enemy% = 4
        END IF
        IF enemy% >= 240 THEN
               IF enemy% <= 340 THEN enemy% = 3
        END IF
       
        GOSUB startbattle
END IF

LOOP

sure:
COLOR 15, backgroundcolor%: LOCATE 10, 15: PRINT " Quit Game? [Y/N]"
DO
a$ = INKEY$
IF a$ = "y" THEN CLS : END
IF a$ = "n" THEN CLS : GOTO backtogame
LOOP

menu:
COLOR 15, backgroundcolor%

LOCATE 2, 8: PRINT "Ŀ"
LOCATE 3, 8: PRINT "                                                  "
LOCATE 4, 8: PRINT "                                                  "
LOCATE 5, 8: PRINT "                                                  "
LOCATE 6, 8: PRINT ""

LOCATE 2, 59: PRINT "Ŀ"
LOCATE 3, 59: PRINT " Stats  "
LOCATE 4, 59: PRINT " Items  "
LOCATE 5, 59: PRINT " Equip  "
LOCATE 6, 59: PRINT " Exit   "
LOCATE 7, 59: PRINT ""

COLOR 4: LOCATE 3, 60: PRINT ""

cursorPOS = 1
DO
f$ = INKEY$
IF f$ = CHR$(0) + CHR$(72) THEN
        cursorPOS = cursorPOS - 1
        IF cursorPOS < 1 THEN cursorPOS = 1
        IF cursorPOS = 1 THEN
                LOCATE 3, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 4, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 2 THEN
                LOCATE 4, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 5, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 5, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 6, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
END IF
IF f$ = CHR$(0) + CHR$(80) THEN
        cursorPOS = cursorPOS + 1
        IF cursorPOS > 4 THEN cursorPOS = 4
        IF cursorPOS = 2 THEN
                LOCATE 4, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 3, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 5, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 4, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 4 THEN
                LOCATE 6, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 5, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
END IF
IF f$ = CHR$(13) THEN
        IF cursorPOS = 1 THEN GOTO stats
        IF cursorPOS = 2 THEN GOTO items
        IF cursorPOS = 3 THEN GOTO equip
        IF cursorPOS = 4 THEN CLS : GOTO backtogame
END IF
LOOP

stats:
COLOR 15, backgroundcolor%

LOCATE 2, 8: PRINT "Ŀ"
LOCATE 3, 8: PRINT "                                                  "
LOCATE 4, 8: PRINT "                                                  "
LOCATE 5, 8: PRINT "                                                  "
LOCATE 6, 8: PRINT ""

LOCATE 3, 11: PRINT "ATK: "; outsideATK%; "/"; baseATK%
LOCATE 4, 11: PRINT "DFP: "; outsideDFP%; "/"; baseDFP%
LOCATE 5, 11: PRINT "Gold: "; gold%
IF armorEQ% = 1 THEN armorname$ = armor1name$
IF armorEQ% = 2 THEN armorname$ = armor2name$
IF armorEQ% = 3 THEN
        IF haveSPECIALARMOR% = 1 THEN armorname$ = "?SPECIAL ARMOR"
        IF haveSPECIALARMOR% = 0 THEN armorname$ = SPECIALARMOR1name$
END IF
IF armorEQ% = 0 THEN armorname$ = "None"
IF weaponEQ% = 0 THEN swordname$ = "None"
IF weaponEQ% = 1 THEN swordname$ = sword1name$
IF weaponEQ% = 2 THEN swordname$ = sword2name$
IF weaponEQ% = 3 THEN
        IF haveSPECIALWEAPON% = 1 THEN swordname$ = "?SPECIAL WEAPON"
        IF haveSPECIALWEAPON% = 0 THEN swordname$ = SPECIALSWORD1name$
END IF
LOCATE 3, 31: PRINT "Armor:  "; armorname$
LOCATE 4, 31: PRINT "Weapon: "; swordname$
LOCATE 5, 31: PRINT "Exp to level: "; exp1%
DO: LOOP WHILE INKEY$ = ""
GOTO menu

items:
IF herbs% >= 1 THEN item1name$ = "Heal"
IF herbs% = 0 THEN item1name$ = "None"
IF antidotes% >= 1 THEN item2name$ = "Cure"
IF antidotes% = 0 THEN item2name$ = "None"
IF flees% >= 1 THEN item3name$ = "Flee"
IF flees% = 0 THEN item3name$ = "None"

COLOR 15, backgroundcolor%

LOCATE 2, 8: PRINT "Ŀ"
LOCATE 3, 8: PRINT "                                                  "
LOCATE 4, 8: PRINT "                                                  "
LOCATE 5, 8: PRINT "                                                  "
LOCATE 6, 8: PRINT ""

LOCATE 2, 59: PRINT "Ŀ"
LOCATE 3, 59: PRINT "        "
LOCATE 4, 59: PRINT "        "
LOCATE 5, 59: PRINT "        "
LOCATE 6, 59: PRINT " Back   "
LOCATE 7, 59: PRINT ""


LOCATE 3, 61: PRINT item1name$
LOCATE 4, 61: PRINT item2name$
LOCATE 5, 61: PRINT item3name$

COLOR 4: LOCATE 3, 60: PRINT ""

cursorPOS = 1
DO
f$ = INKEY$
IF f$ = CHR$(0) + CHR$(72) THEN
        cursorPOS = cursorPOS - 1
        IF cursorPOS < 1 THEN cursorPOS = 1
        IF cursorPOS = 1 THEN
                LOCATE 3, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 4, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 2 THEN
                LOCATE 4, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 5, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 5, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 6, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
END IF
IF f$ = CHR$(0) + CHR$(80) THEN
        cursorPOS = cursorPOS + 1
        IF cursorPOS > 4 THEN cursorPOS = 4
        IF cursorPOS = 2 THEN
                LOCATE 4, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 3, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 5, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 4, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 4 THEN
                LOCATE 6, 60: COLOR 4, backgroundcolor%: PRINT "": LOCATE 5, 60: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
END IF
IF f$ = CHR$(13) THEN
        IF cursorPOS = 1 THEN GOTO useitemland1
        IF cursorPOS = 2 THEN GOTO useitemland2
        IF cursorPOS = 3 THEN GOTO useitemland3
        IF cursorPOS = 4 THEN GOTO menu
END IF
LOOP

useitemland1:
COLOR 15
LOCATE 2, 8: PRINT "Ŀ"
LOCATE 3, 8: PRINT "                                                  "
LOCATE 4, 8: PRINT "                                                  "
LOCATE 5, 8: PRINT "                                                  "
LOCATE 6, 8: PRINT ""

COLOR 4
IF herbs% <= 0 THEN
        LOCATE 4, 11: PRINT "No item to use!                           "
        DO: LOOP WHILE INKEY$ = ""
         GOTO items
END IF
IF herbs% >= 1 THEN
        LOCATE 3, 11: PRINT "You have "; herbs%; " herbs remaining.   "
        LOCATE 4, 11: PRINT "Use one and restore 20 HP?               "
        LOCATE 5, 11: PRINT "         [Y/N]                           "
        DO
        f$ = INKEY$
                IF f$ = "y" THEN
                        herbs% = herbs% - 1
                        currentHP% = currentHP% + 20
                        IF currentHP% > maxHP% THEN currentHP% = maxHP%
                        LOCATE 3, 11: PRINT "You have "; herbs%; " herbs remaining.   "
                        LOCATE 4, 11: PRINT "HP restored by 20...                     "
                        LOCATE 5, 11: PRINT "                                         "
                        DO: LOOP WHILE INKEY$ = ""
                        GOTO items
                END IF
                IF f$ = "n" THEN GOTO items
        LOOP
END IF

useitemland2:

COLOR 15
LOCATE 2, 8: PRINT "Ŀ"
LOCATE 3, 8: PRINT "                                                  "
LOCATE 4, 8: PRINT "                                                  "
LOCATE 5, 8: PRINT "                                                  "
LOCATE 6, 8: PRINT ""

COLOR 4
IF antidotes% <= 0 THEN
        LOCATE 4, 11: PRINT "No item to use!                           "
        DO: LOOP WHILE INKEY$ = ""
        GOTO items
END IF
IF antidotes% >= 1 THEN
        LOCATE 3, 11: PRINT "You have "; antidotes%; " antidotes remaining.   "
        LOCATE 4, 11: PRINT "Use one to cure any adverse effects?            "
        LOCATE 5, 11: PRINT "         [Y/N]                                  "
        DO
        f$ = INKEY$
                IF f$ = "y" THEN
                        antidotes% = antidotes% - 1
                        poison% = 0
                        LOCATE 3, 11: PRINT "You have "; antidotes%; " antidotes remaining.   "
                        LOCATE 4, 11: PRINT "All adverse effects stablized                    "
                        LOCATE 5, 11: PRINT "                                                 "
                        DO: LOOP WHILE INKEY$ = ""
                        GOTO items
                END IF
                IF f$ = "n" THEN GOTO items
        LOOP
END IF

useitemland3:
COLOR 15
LOCATE 2, 8: PRINT "Ŀ"
LOCATE 3, 8: PRINT "                                                  "
LOCATE 4, 8: PRINT "                                                  "
LOCATE 5, 8: PRINT "                                                  "
LOCATE 6, 8: PRINT ""

COLOR 4
IF flees% <= 0 THEN
        LOCATE 4, 11: PRINT "No item to use!                           "
        DO: LOOP WHILE INKEY$ = ""
        GOTO items
END IF
IF flees% >= 1 THEN
        LOCATE 3, 11: PRINT "You have "; flees%; " battle flees remaining.   "
        LOCATE 4, 11: PRINT "Use one and flee this area to last town?        "
        LOCATE 5, 11: PRINT "         [Y/N]                                  "
        DO
        f$ = INKEY$
                IF f$ = "y" THEN
                        flees% = flees% - 1
                        LOCATE 3, 11: PRINT "You have "; flees%; " flee battles remaining.    "
                        LOCATE 4, 11: PRINT "Fleeing to last town...                          "
                        LOCATE 5, 11: PRINT "                                                 "
                        DO: LOOP WHILE INKEY$ = ""
                        CLS
                        GOTO backtogame
                END IF
                IF f$ = "n" THEN GOTO items
        LOOP
END IF


equip:
COLOR 15, backgroundcolor%

LOCATE 2, 8: PRINT "Ŀ"
LOCATE 3, 8: PRINT "                                                  "
LOCATE 4, 8: PRINT "                                                  "
LOCATE 5, 8: PRINT "                                                  "
LOCATE 6, 8: PRINT ""

IF weapon1% = 1 THEN LOCATE 3, 11: COLOR 15: PRINT sword1name$
IF weapon2% = 1 THEN LOCATE 4, 11: COLOR 15: PRINT sword2name$
IF weapon3% = 1 THEN LOCATE 5, 11: COLOR 14: PRINT SPECIALSWORD1name$
IF haveSPECIALWEAPON% = 1 THEN LOCATE 5, 11: COLOR 11: PRINT "?SPECIAL WEAPON"

IF armor1% = 1 THEN LOCATE 3, 31: COLOR 15: PRINT armor1name$
IF armor2% = 1 THEN LOCATE 4, 31: COLOR 15: PRINT armor2name$
IF armor3% = 1 THEN LOCATE 5, 31: COLOR 14: PRINT SPECIALARMOR1name$
IF haveSPECIALARMOR% = 1 THEN LOCATE 5, 31: COLOR 11: PRINT "?SPECIAL ARMOR"
IF weaponEQ% = 1 THEN LOCATE 3, 9: COLOR 4: PRINT "X"
IF weaponEQ% = 2 THEN LOCATE 4, 9: COLOR 4: PRINT "X"
IF weaponEQ% = 3 THEN LOCATE 5, 9: COLOR 4: PRINT "X"

IF armorEQ% = 1 THEN LOCATE 3, 29: COLOR 4: PRINT "X"
IF armorEQ% = 2 THEN LOCATE 4, 29: COLOR 4: PRINT "X"
IF armorEQ% = 3 THEN LOCATE 5, 29: COLOR 4: PRINT "X"

COLOR 4: LOCATE 3, 10: PRINT ""

cursorPOS = 1
DO
f$ = INKEY$
IF f$ = CHR$(27) THEN
        LOCATE 3, 10: COLOR backgroundcolor%: PRINT "X"
        LOCATE 4, 10: COLOR backgroundcolor%: PRINT "X"
        LOCATE 5, 10: COLOR backgroundcolor%: PRINT "X"
        GOTO equipARMOR
END IF

IF f$ = CHR$(0) + CHR$(72) THEN
        cursorPOS = cursorPOS - 1
        IF cursorPOS < 1 THEN cursorPOS = 1
        IF cursorPOS = 1 THEN
                LOCATE 3, 10: COLOR 4, backgroundcolor%: PRINT "": LOCATE 4, 10: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 2 THEN
                LOCATE 4, 10: COLOR 4, backgroundcolor%: PRINT "": LOCATE 5, 10: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 5, 10: COLOR 4, backgroundcolor%: PRINT "": LOCATE 6, 10: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
END IF
IF f$ = CHR$(0) + CHR$(80) THEN
        cursorPOS = cursorPOS + 1
        IF cursorPOS > 3 THEN cursorPOS = 3
        IF cursorPOS = 2 THEN
                LOCATE 4, 10: COLOR 4, backgroundcolor%: PRINT "": LOCATE 3, 10: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 5, 10: COLOR 4, backgroundcolor%: PRINT "": LOCATE 4, 10: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
END IF
IF f$ = CHR$(13) THEN
        IF cursorPOS = 1 THEN
               IF weapon1% = 1 THEN
                        IF weaponEQ% < 1 THEN
                                outsideATK% = baseATK%
                                outsideATK% = outsideATK% + 2
                                weaponEQ% = 1
                                LOCATE 3, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 4, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 5, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 3, 10: COLOR 4, backgroundcolor%: PRINT "X"
                                GOTO equipARMOR
                        END IF
                        IF weaponEQ% > 1 THEN
                                outsideATK% = baseATK%
                                outsideATK% = outsideATK% + 2
                                weaponEQ% = 1
                                LOCATE 3, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 4, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 5, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 3, 10: COLOR 4, backgroundcolor%: PRINT "X"
                                GOTO equipARMOR
                        END IF
                        IF weaponEQ% = 1 THEN
                                outsideATK% = baseATK%
                                weaponEQ% = 0
                                LOCATE 3, 10: COLOR backgroundcolor%: PRINT "X"
                        END IF
                        GOTO equipARMOR
               END IF
               IF weapon1% = 0 THEN GOTO equip
        END IF
        IF cursorPOS = 2 THEN
                IF weapon2% = 1 THEN
                        IF weaponEQ% < 2 THEN
                                outsideATK% = baseATK%
                                outsideATK% = outsideATK% + 20
                                weaponEQ% = 2
                                LOCATE 3, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 4, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 5, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 4, 10: COLOR 4, backgroundcolor%: PRINT "X"
                                GOTO equipARMOR
                        END IF
                        IF weaponEQ% > 2 THEN
                                outsideATK% = baseATK%
                                outsideATK% = outsideATK% + 20
                                weaponEQ% = 2
                                LOCATE 3, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 4, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 5, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 4, 10: COLOR 4, backgroundcolor%: PRINT "X"
                                GOTO equipARMOR
                        END IF
                        IF weaponEQ% = 2 THEN outsideATK% = baseATK%: weaponEQ% = 0
                        LOCATE 4, 10: COLOR backgroundcolor%: PRINT "X"
                        GOTO equipARMOR
                END IF
                IF weapon2% = 0 THEN GOTO equip
        END IF
        IF cursorPOS = 3 THEN
                IF weapon3% = 1 THEN
                        IF weaponEQ% < 3 THEN
                                outsideATK% = baseATK%
                                outsideATK% = outsideATK% + 50
                                weaponEQ% = 3
                                LOCATE 3, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 4, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 5, 9: COLOR backgroundcolor%: PRINT "X"
                                LOCATE 5, 10: COLOR 4, backgroundcolor%: PRINT "X"
                                GOTO equipARMOR
                        END IF
                        IF weaponEQ% = 3 THEN outsideATK% = baseATK%: weaponEQ% = 0
                        LOCATE 5, 10: COLOR backgroundcolor%: PRINT "X"
                        GOTO equipARMOR
                END IF
                IF weapon3% = 0 THEN GOTO equip

        END IF
END IF
LOOP

equipARMOR:

IF armorEQ% = 1 THEN LOCATE 3, 29: COLOR 4: PRINT "X"
IF armorEQ% = 2 THEN LOCATE 4, 29: COLOR 4: PRINT "X"
IF armorEQ% = 3 THEN LOCATE 5, 29: COLOR 4: PRINT "X"


COLOR 4: LOCATE 3, 30: PRINT ""

cursorPOS = 1
DO
f$ = INKEY$
IF f$ = CHR$(27) THEN GOTO menu
IF f$ = CHR$(0) + CHR$(72) THEN
        cursorPOS = cursorPOS - 1
        IF cursorPOS < 1 THEN cursorPOS = 1
        IF cursorPOS = 1 THEN
                LOCATE 3, 30: COLOR 4, backgroundcolor%: PRINT "": LOCATE 4, 30: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 2 THEN
                LOCATE 4, 30: COLOR 4, backgroundcolor%: PRINT "": LOCATE 5, 30: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 5, 30: COLOR 4, backgroundcolor%: PRINT "": LOCATE 6, 30: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
END IF
IF f$ = CHR$(0) + CHR$(80) THEN
        cursorPOS = cursorPOS + 1
        IF cursorPOS > 3 THEN cursorPOS = 3
        IF cursorPOS = 2 THEN
                LOCATE 4, 30: COLOR 4, backgroundcolor%: PRINT "": LOCATE 3, 30: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 5, 30: COLOR 4, backgroundcolor%: PRINT "": LOCATE 4, 30: COLOR backgroundcolor%, backgroundcolor%: PRINT ""
        END IF
END IF
IF f$ = CHR$(13) THEN
        IF cursorPOS = 1 THEN
               IF armor1% = 1 THEN
                        IF armorEQ% < 1 THEN
                                outsideDFP% = baseDFP%
                                outsideDFP% = outsideDFP% + 2
                                armorEQ% = 1
                                GOTO menu
                        END IF
                        IF armorEQ% > 1 THEN
                                outsideDFP% = baseDFP%
                                outsideDFP% = outsideDFP% + 2
                                armorEQ% = 1
                                GOTO menu
                        END IF
                        IF armorEQ% = 1 THEN
                                outsideDFP% = baseDFP%
                                armorEQ% = 0
                        END IF
                        GOTO menu
               END IF
               IF armor1% = 0 THEN GOTO equipARMOR
        END IF
        IF cursorPOS = 2 THEN
                IF armor2% = 1 THEN
                        IF armorEQ% < 2 THEN
                                outsideDFP% = baseDFP%
                                outsideDFP% = outsideDFP% + 15
                                armorEQ% = 2
                                GOTO menu
                        END IF
                        IF armorEQ% > 2 THEN
                                outsideDFP% = baseDFP%
                                outsideDFP% = outsideDFP% + 15
                                armorEQ% = 2
                                GOTO menu
                        END IF
                        IF armorEQ% = 2 THEN outsideDFP% = baseDFP%: armorEQ% = 0
                        GOTO menu
                END IF
                IF armor2% = 0 THEN GOTO equipARMOR
        END IF
        IF cursorPOS = 3 THEN
                IF armor3% = 1 THEN
                        IF armorEQ% < 3 THEN
                                outsideDFP% = baseDFP%
                                outsideDFP% = outsideDFP% + 30
                                armorEQ% = 3
                                GOTO menu
                        END IF
                        IF armorEQ% = 3 THEN outsideDFP% = baseDFP%: armorEQ% = 0
                        GOTO menu
                END IF
                IF armor3% = 0 THEN GOTO equipARMOR

        END IF
END IF
LOOP

startbattle:
IF enemy% = 1 THEN
        EnemyName$ = "Rabid Wolf"
        enemydef% = 1
        enemyatk% = 5
        enemyHP% = 6
        enemyEXP% = 5
        specialdrop% = 0
        poisonGIVING% = 0
        GOTO battle
END IF

IF enemy% = 2 THEN
        EnemyName$ = "Ogre"
        enemydef% = 10
        enemyatk% = 15
        enemyHP% = 30
        enemyEXP% = 20
        specialdrop% = 0
        poisonGIVING% = 0
        GOTO battle
END IF

IF enemy% = 3 THEN
        EnemyName$ = "Asp"
        enemydef% = 5
        enemyatk% = 10
        enemyHP% = 20
        enemyEXP% = 15
        specialdrop% = 0
        poisonGIVING% = 1
        GOTO battle
END IF


IF enemy% = 4 THEN
        EnemyName$ = "HELL HOUND"
        enemydef% = 50
        enemyatk% = 50
        enemyHP% = 666
        enemyEXP% = 2000
        specialdrop% = 1
        poisonGIVING% = 0
        GOTO battle
END IF


battle:
CLS
COLOR 15, 0

LOCATE 1, 1: PRINT "Ŀ"
LOCATE 2, 1: PRINT "                          "
LOCATE 3, 1: PRINT "                          "
LOCATE 4, 1: PRINT ""


LOCATE 16, 10: PRINT "Ŀ"
LOCATE 17, 10: PRINT "                                                  "
LOCATE 18, 10: PRINT "                                                  "
LOCATE 19, 10: PRINT "                                                  "
LOCATE 20, 10: PRINT ""

LOCATE 9, 59: PRINT "Ŀ"
LOCATE 10, 59: PRINT " Attack "
LOCATE 11, 59: PRINT " Defend "
LOCATE 12, 59: PRINT " Run    "
LOCATE 13, 59: PRINT " Item   "
LOCATE 14, 59: PRINT ""

COLOR 4: LOCATE 10, 60: PRINT ""
LOCATE 18, 11: PRINT EnemyName$; " aproaching fast!      "
LOCATE 2, 2: PRINT "Your HP: "; currentHP%
LOCATE 3, 2: PRINT EnemyName$; "'s HP: "; enemyHP%

COLOR 12: CIRCLE (100, 100), 20: PAINT (100, 100)
COLOR 1: CIRCLE (110, 95), 4: PAINT (110, 95)
COLOR 4: PSET (113, 108): DRAW "l7"
COLOR 12: PSET (95, 115): DRAW "d3 r10 u3 l10": PAINT (96, 116)
IF armorEQ% = 0 THEN
        COLOR 2: PSET (85, 118): DRAW "r30 d40 l30 u40": PAINT (86, 119)
        PSET (115, 125): DRAW "r19 d10 l19 u10": PAINT (116, 126)
END IF

IF armorEQ% = 1 THEN
        COLOR 6: PSET (85, 118): DRAW "r30 d40 l30 u40": PAINT (86, 119)
        PSET (115, 125): DRAW "r20 d10 l20 u10": PAINT (116, 126)
END IF
IF armorEQ% = 2 THEN
        COLOR 8: PSET (85, 118): DRAW "r30 d40 l30 u40": PAINT (86, 119)
        PSET (115, 125): DRAW "r20 d10 l20 u10": PAINT (116, 126)
END IF
IF armorEQ% = 3 THEN
        COLOR 14: PSET (85, 118): DRAW "r30 d40 l30 u40": PAINT (86, 119)
        PSET (115, 125): DRAW "r20 d10 l20 u10": PAINT (116, 126)
END IF

COLOR 12: CIRCLE (135, 130), 8: PAINT (135, 130)
IF weaponEQ% = 1 THEN
        COLOR 7: PSET (135, 130): DRAW "e40 d5 g35 l5": PAINT (139, 128)
        COLOR 8: PSET (135, 120): DRAW "f13 e2 h13 g2": PAINT (136, 120)
END IF
IF weaponEQ% = 2 THEN
        COLOR 7: PSET (135, 130): DRAW "e70 d12 g59 l12": PAINT (138, 128)
        COLOR 8: PSET (135, 120): DRAW "f13 e2 h13 g2": PAINT (136, 120)
END IF
IF weaponEQ% = 3 THEN
        COLOR 15: PSET (130, 130): DRAW "e70 d20 g50 l20": ' PAINT (138, 128)
        COLOR 8: PSET (125, 115): DRAW "f10 g5 f5 e5 f10 e4 h25 g4": PAINT (127, 116)
END IF


COLOR 1: PSET (85, 158): DRAW "r30 d30 l30 u30": PAINT (86, 159)
COLOR 6: PSET (85, 188): DRAW "r40 d5 l40 u5": PAINT (86, 189)

IF enemy% = 1 THEN
        COLOR 8: PSET (250, 130): DRAW "r10 e5 r15 f15 r70 f15 l10 h10 d30 l15 u5 r5 h10 u 3 e5 g5 l40 d15 l15 u5 r5 u15 h10 l19 h11"
        PAINT (251, 131)
        COLOR 7: PSET (272, 127): DRAW "e10 d15"
        COLOR 4: CIRCLE (267, 130), 3: PAINT (267, 130)
END IF

IF enemy% = 2 THEN
        COLOR 12: CIRCLE (300, 50), 50: PAINT (300, 50)
        COLOR 1: CIRCLE (270, 35), 10: PAINT (270, 35)
        COLOR 0: CIRCLE (268, 35), 2: PAINT (268, 35)
        COLOR 4: CIRCLE (270, 70), 8: PAINT (270, 70)
        COLOR 12: PSET (290, 87): DRAW "d10 r20 u10 l20": PAINT (291, 90)
        COLOR 6: PSET (280, 97): DRAW "d60 r50 u60 l50": PAINT (281, 98)
        PSET (280, 107): DRAW "l30 d15 r30 u15": PAINT (270, 108)
        COLOR 12: CIRCLE (250, 113), 11: PAINT (250, 113)
        COLOR 6: PSET (250, 113): DRAW "h40 g5 f40 e5": PAINT (246, 112)
        COLOR 8: PSET (205, 80): DRAW "g20 f15 e20 h15": PAINT (200, 86)
        COLOR 2: PSET (280, 157): DRAW "d40 r50 u40 l50": PAINT (281, 158)
        COLOR 6: PSET (270, 197): DRAW "d5 r60 u5 l60": PAINT (271, 199)
END IF
IF enemy% = 3 THEN
        COLOR 2: PSET (270, 197): DRAW "r100 u10 l100 d10": PAINT (271, 195)
        PSET (270, 187): DRAW "r100 u10 l100 d10": PAINT (271, 185)
        COLOR 0: PSET (270, 187): DRAW "r100"
        COLOR 2: PSET (340, 177): DRAW "e10 u10 h10 l10 e5 r15 f10 d15 g10"
        PAINT (343, 175)
        COLOR 4: PSET (332, 148): DRAW "l7 g5 e5 h5"
        COLOR 0: CIRCLE (339, 145), 2: PAINT (339, 145)
END IF
IF enemy% = 4 THEN
        COLOR 4: PSET (250, 130): DRAW "r10 e5 r15 f15 r70 f15 l10 h10 d30 l15 u5 r5 h10 u 3 e5 g5 l40 d15 l15 u5 r5 u15 h10 l19 h11"
        PAINT (251, 131)
        COLOR 4: PSET (272, 127): DRAW "e10 d15"
        COLOR 0: CIRCLE (267, 130), 3: PAINT (267, 130)
END IF


cursorPOS = 1
DO
f$ = INKEY$
IF f$ = CHR$(0) + CHR$(72) THEN
        cursorPOS = cursorPOS - 1
        IF cursorPOS < 1 THEN cursorPOS = 1
        IF cursorPOS = 1 THEN
                LOCATE 10, 60: COLOR 4, 0: PRINT "": LOCATE 11, 60: COLOR 0, 0: PRINT ""
        END IF
        IF cursorPOS = 2 THEN
                LOCATE 11, 60: COLOR 4, 0: PRINT "": LOCATE 12, 60: COLOR 0, 0: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 12, 60: COLOR 4, 0: PRINT "": LOCATE 13, 60: COLOR 0, 0: PRINT ""
        END IF
END IF
IF f$ = CHR$(0) + CHR$(80) THEN
        cursorPOS = cursorPOS + 1
        IF cursorPOS > 4 THEN cursorPOS = 4
        IF cursorPOS = 2 THEN
                LOCATE 11, 60: COLOR 4, 0: PRINT "": LOCATE 10, 60: COLOR 0, 0: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 12, 60: COLOR 4, 0: PRINT "": LOCATE 11, 60: COLOR 0, 0: PRINT ""
        END IF
        IF cursorPOS = 4 THEN
                LOCATE 13, 60: COLOR 4, 0: PRINT "": LOCATE 12, 60: COLOR 0, 0: PRINT ""
        END IF
END IF
IF f$ = CHR$(13) THEN
        IF cursorPOS = 1 THEN GOTO attack
        IF cursorPOS = 2 THEN GOTO defend
        IF cursorPOS = 3 THEN GOTO runaway1
        IF cursorPOS = 4 THEN GOTO useitem
END IF
LOOP

defend:
        outsideDFP% = outsideDFP% * 2
        satk% = enemyatk% - outsideDFP%
        IF satk% < 0 THEN satk% = 1
        currentHP% = currentHP% - satk%
        IF poison% = 1 THEN currentHP% = currentHP% - 1
        IF poisonGIVING% = 1 THEN
                poisonATK% = (RND * 4) + 1
                IF poisonATK% = 2 THEN
                        poison% = 1
                        LOCATE 19, 12: COLOR 2: PRINT EnemyName$; " poisons you!         "
                END IF
        END IF
        LOCATE 18, 11: COLOR 4
        PRINT "You defend, "; EnemyName$; " attacks for "; satk%; "!    "
        IF currentHP% <= 0 THEN
                LOCATE 18, 11: COLOR 4
                PRINT "You are defeated. GAME OVER!               "
                DO: LOOP WHILE INKEY$ = ""
                END
        END IF
        DO: LOOP WHILE INKEY$ = ""
        IF poison% = 1 THEN
                LOCATE 17, 11: PRINT "Poison inflicts 1 damage.                    "
                LOCATE 18, 11: PRINT "                                             "
                LOCATE 19, 11: PRINT "                                             "
                DO: LOOP WHILE INKEY$ = ""
        END IF
        outsideDFP% = outsideDFP% / 2
        CLS
        GOTO battle


attack:
        dmg% = outsideATK% - enemydef%
        IF dmg% < 0 THEN dmg% = 0
        enemyHP% = enemyHP% - dmg%
        counter% = enemyatk% - outsideDFP%
        IF counter% <= 0 THEN counter% = 1
        currentHP% = currentHP% - counter%
        IF poison% = 1 THEN currentHP% = currentHP% - 1
        IF poisonGIVING% = 1 THEN
                poisonATK% = (RND * 4) + 1
                IF poisonATK% = 2 THEN
                        poison% = 1
                        LOCATE 19, 12: COLOR 2: PRINT EnemyName$; " poisons you!        "
                END IF
        END IF
        COLOR 4
        IF dmg% > 0 THEN LOCATE 17, 11: PRINT "You attack for "; dmg%; "!         "
        IF dmg% = 0 THEN LOCATE 17, 11: PRINT "You missed!                       "
        LOCATE 18, 11: PRINT EnemyName$; " counters for "; counter%; "!   "
        IF currentHP% <= 0 THEN
                LOCATE 19, 11
                PRINT "You are defeated. GAME OVER!        "
                DO: LOOP WHILE INKEY$ = ""
                END
        END IF
        DO: LOOP WHILE INKEY$ = ""
        IF poison% = 1 THEN
                LOCATE 17, 11: PRINT "Poison inflicts 1 damage.                    "
                LOCATE 18, 11: PRINT "                                             "
                LOCATE 19, 11: PRINT "                                             "
                DO: LOOP WHILE INKEY$ = ""
        END IF
        IF enemyHP% <= 0 THEN
                enemydrop% = (RND * 20) + 1
                IF specialdrop% = 1 THEN raredrop% = (RND * 4) + 1
                exp1% = exp1% - enemyEXP%
                goldfound% = (RND * 15) + 1
                gold% = gold% + goldfound%
                LOCATE 17, 11: PRINT "Monster defeated!              "
                LOCATE 18, 11: PRINT "Recieved "; enemyEXP%; " experiance!         "
                LOCATE 19, 11: PRINT "Found "; goldfound%; " gold!                  "
                DO: LOOP WHILE INKEY$ = ""
                IF raredrop% <= 2 THEN
                        IF raredrop% > 0 THEN
                                LOCATE 17, 11: PRINT "Monster dropped            "
                                COLOR 11: LOCATE 17, 28: PRINT "?SPECIAL ARMOR               "
                                COLOR 4
                                LOCATE 18, 11: PRINT "Will you take it? [Y/N]                "
                                LOCATE 19, 11: PRINT "                                       "
                                DO
                                f$ = INKEY$
                                        IF f$ = "y" THEN haveSPECIALARMOR% = 1: GOTO nope
                                        IF f$ = "n" THEN GOTO nope
                                LOOP
                        END IF
                END IF
                IF raredrop% >= 2 THEN
                        LOCATE 17, 11: PRINT "Monster dropped            "
                        COLOR 11: LOCATE 17, 28: PRINT "?SPECIAL WEAPON               "
                        COLOR 4
                        LOCATE 18, 11: PRINT "Will you take it? [Y/N]                "
                        LOCATE 19, 11: PRINT "                                       "
                        DO
                        f$ = INKEY$
                                IF f$ = "y" THEN haveSPECIALWEAPON% = 1: GOTO nope
                                IF f$ = "n" THEN GOTO nope
                        LOOP
                END IF


                IF enemydrop% >= 19 THEN
                        LOCATE 17, 11: PRINT "Monster dropped heal herb!               "
                        LOCATE 18, 11: PRINT "Will you take it? [Y/N]                "
                        LOCATE 19, 11: PRINT "                                       "
                        DO
                        f$ = INKEY$
                                IF f$ = "y" THEN herbs% = herbs% + 1: GOTO nope
                                IF f$ = "n" THEN GOTO nope
                        LOOP
                END IF
                IF enemydrop% <= 3 THEN
                        LOCATE 17, 11: PRINT "Monster dropped an antidote!             "
                        LOCATE 18, 11: PRINT "Will you take it? [Y/N]                "
                        LOCATE 19, 11: PRINT "                                       "
                        DO
                        f$ = INKEY$
                                IF f$ = "y" THEN antidotes% = antidotes% + 1: GOTO nope
                                IF f$ = "n" THEN GOTO nope
                        LOOP
                END IF
                IF enemydrop% >= 8 THEN
                        IF enemydrop% <= 9 THEN
                                LOCATE 17, 11: PRINT "Monster dropped a flee battle!           "
                                LOCATE 18, 11: PRINT "Will you take it? [Y/N]                "
                                LOCATE 19, 11: PRINT "                                       "
                                DO
                                f$ = INKEY$
                                        IF f$ = "y" THEN flees% = flees% + 1: GOTO nope
                                        IF f$ = "n" THEN GOTO nope
                                LOOP
                        END IF
                END IF
nope:
                IF exp1% <= 0 THEN
                        LOCATE 17, 11: PRINT "LEVEL UP!                         "
                        LOCATE 18, 11: PRINT "ATTACK + 2              "
                        LOCATE 19, 11: PRINT "DEFENSE + 1            "
                        DO: LOOP WHILE INKEY$ = ""
                        LOCATE 17, 11: PRINT "HP + 3               "
                        LOCATE 19, 11: PRINT "CONGRATS!            "
                        LOCATE 18, 11: PRINT "HP FULLY RESTORED!    "
                        playerLEVEL% = playerLEVEL% + 1
                        maxHP% = maxHP% + 3
                        baseATK% = baseATK% + 2
                        baseDFP% = baseDFP% + 1
                        outsideATK% = outsideATK% + 2
                        outsideDFP% = outsideDFP% + 1
                        currentHP% = maxHP%
                        exp1% = (playerLEVEL% * 8) + 2
                        DO: LOOP WHILE INKEY$ = ""
                        CLS
                END IF
                CLS
                GOTO backtogame
        END IF
        GOTO battle

runaway1:
        runaway% = (RND * 15) + 1
        COLOR 4
        IF runaway% > 5 THEN
                IF runaway% < 10 THEN
                        LOCATE 18, 11
                        PRINT "You ran away!                      "
                        DO: LOOP WHILE INKEY$ = ""
                        CLS
                        GOTO backtogame
                END IF
                IF runaway% >= 10 THEN
                        counter% = enemyatk% - outsideDFP%
                        IF counter% <= 0 THEN counter% = 1
                        currentHP% = currentHP% - counter%
                        IF poison% = 1 THEN currentHP% = currentHP% - 1
                        LOCATE 17, 11: COLOR 4
                        PRINT "You can't run away!                "
                        LOCATE 18, 11: PRINT EnemyName$; " attacks for "; counter%; "!   "
                        IF poisonGIVING% = 1 THEN
                                poisonATK% = (RND * 4) + 1
                                IF poisonATK% = 2 THEN
                                        poison% = 1
                                        LOCATE 19, 12: COLOR 2: PRINT EnemyName$; " poisons you!        "
                                        DO: LOOP WHILE INKEY$ = ""
                                END IF
                        END IF
                      
                       
                        IF poison% = 1 THEN LOCATE 19, 11: PRINT "Poison inflicts 1 damage.                    "

                        IF currentHP% <= 0 THEN
                                LOCATE 19, 11
                                PRINT "You are defeated. GAME OVER!                     "
                                DO: LOOP WHILE INKEY$ = ""
                                END
                        END IF
                        DO: LOOP WHILE INKEY$ = ""
                        CLS
                        GOTO battle
                END IF
        END IF
        IF runaway% <= 5 THEN
                counter% = enemyatk% - outsideDFP%
                IF counter% < 0 THEN counter% = 0
                currentHP% = currentHP% - counter%
                IF poison% = 1 THEN currentHP% = currentHP% - 1
                IF poisonGIVING% = 1 THEN
                        poisonATK% = (RND * 4) + 1
                        IF poisonATK% = 2 THEN poison% = 1
                        LOCATE 19, 12: COLOR 2: PRINT EnemyName$; " poisons you!        "
                END IF
                IF poison% = 1 THEN LOCATE 19, 11: PRINT "Poison inflicts 1 damage.                    "
                LOCATE 17, 11: COLOR 4
                PRINT "You can't run away!         "
                LOCATE 18, 11: PRINT EnemyName$; " attacks for "; counter%; "!   "
                IF currentHP% <= 0 THEN
                        LOCATE 19, 11
                        PRINT "You are defeated. GAME OVER!        "
                        DO: LOOP WHILE INKEY$ = ""
                        END
                END IF
                DO: LOOP WHILE INKEY$ = ""
                CLS
                GOTO battle
        END IF


useitem:
IF herbs% >= 1 THEN item1name$ = "Heal"
IF herbs% = 0 THEN item1name$ = "None"
IF antidotes% >= 1 THEN item2name$ = "Cure"
IF antidotes% = 0 THEN item2name$ = "None"
IF flees% >= 1 THEN item3name$ = "Flee"
IF flees% = 0 THEN item3name$ = "None"

CLS
COLOR 15
LOCATE 1, 1: PRINT "Ŀ"
LOCATE 2, 1: PRINT "                         "
LOCATE 3, 1: PRINT "                         "
LOCATE 4, 1: PRINT ""


LOCATE 16, 10: PRINT "Ŀ"
LOCATE 17, 10: PRINT "                                                  "
LOCATE 18, 10: PRINT "                                                  "
LOCATE 19, 10: PRINT "                                                  "
LOCATE 20, 10: PRINT ""

LOCATE 9, 59: PRINT "Ŀ"
LOCATE 10, 59: PRINT "        "
LOCATE 11, 59: PRINT "        "
LOCATE 12, 59: PRINT "        "
LOCATE 13, 59: PRINT " Back   "
LOCATE 14, 59: PRINT ""

LOCATE 10, 61: PRINT item1name$
LOCATE 11, 61: PRINT item2name$
LOCATE 12, 61: PRINT item3name$

COLOR 4: LOCATE 10, 60: PRINT ""
LOCATE 18, 11: PRINT "Which item will you use?        "
LOCATE 2, 2: PRINT "Your HP: "; currentHP%
LOCATE 3, 2: PRINT EnemyName$; "'s HP: "; enemyHP%

cursorPOS = 1
DO
f$ = INKEY$
IF f$ = CHR$(0) + CHR$(72) THEN
        cursorPOS = cursorPOS - 1
        IF cursorPOS < 1 THEN cursorPOS = 1
        IF cursorPOS = 1 THEN
                LOCATE 10, 60: COLOR 4, 0: PRINT "": LOCATE 11, 60: COLOR 0, 0: PRINT ""
        END IF
        IF cursorPOS = 2 THEN
                LOCATE 11, 60: COLOR 4, 0: PRINT "": LOCATE 12, 60: COLOR 0, 0: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 12, 60: COLOR 4, 0: PRINT "": LOCATE 13, 60: COLOR 0, 0: PRINT ""
        END IF
END IF
IF f$ = CHR$(0) + CHR$(80) THEN
        cursorPOS = cursorPOS + 1
        IF cursorPOS > 4 THEN cursorPOS = 4
        IF cursorPOS = 2 THEN
                LOCATE 11, 60: COLOR 4, 0: PRINT "": LOCATE 10, 60: COLOR 0, 0: PRINT ""
        END IF
        IF cursorPOS = 3 THEN
                LOCATE 12, 60: COLOR 4, 0: PRINT "": LOCATE 11, 60: COLOR 0, 0: PRINT ""
        END IF
        IF cursorPOS = 4 THEN
                LOCATE 13, 60: COLOR 4, 0: PRINT "": LOCATE 12, 60: COLOR 0, 0: PRINT ""
        END IF
END IF
IF f$ = CHR$(13) THEN
        IF cursorPOS = 1 THEN GOTO useitem1
        IF cursorPOS = 2 THEN GOTO useitem2
        IF cursorPOS = 3 THEN GOTO useitem3
        IF cursorPOS = 4 THEN GOTO battle
END IF
LOOP

useitem1:
COLOR 4
IF herbs% <= 0 THEN
        LOCATE 18, 11: PRINT "No item to use!                           "
        DO: LOOP WHILE INKEY$ = ""
        GOTO useitem
END IF
IF herbs% >= 1 THEN
        LOCATE 17, 11: PRINT "You have "; herbs%; " herbs remaining.   "
        LOCATE 18, 11: PRINT "Use one and restore 20 HP?               "
        LOCATE 19, 11: PRINT "         [Y/N]                           "
        DO
        f$ = INKEY$
                IF f$ = "y" THEN
                        herbs% = herbs% - 1
                        currentHP% = currentHP% + 20
                        IF currentHP% > maxHP% THEN currentHP% = maxHP%
                        LOCATE 17, 11: PRINT "You have "; herbs%; " herbs remaining.   "
                        LOCATE 18, 11: PRINT "HP restored by 20...                     "
                        LOCATE 19, 11: PRINT "                                         "
                        DO: LOOP WHILE INKEY$ = ""
                        GOTO useitem
                END IF
                IF f$ = "n" THEN GOTO useitem
        LOOP
END IF

useitem2:
COLOR 4
IF antidotes% <= 0 THEN
        LOCATE 18, 11: PRINT "No item to use!                           "
        DO: LOOP WHILE INKEY$ = ""
        GOTO useitem
END IF
IF antidotes% >= 1 THEN
        LOCATE 17, 11: PRINT "You have "; antidotes%; " antidotes remaining.   "
        LOCATE 18, 11: PRINT "Use one to cure any adverse effects?            "
        LOCATE 19, 11: PRINT "         [Y/N]                                  "
        DO
        f$ = INKEY$
                IF f$ = "y" THEN
                        antidotes% = antidotes% - 1
                        poison% = 0
                        LOCATE 17, 11: PRINT "You have "; antidotes%; " antidotes remaining.   "
                        LOCATE 18, 11: PRINT "All adverse effects stablized                    "
                        LOCATE 19, 11: PRINT "                                                 "
                        DO: LOOP WHILE INKEY$ = ""
                        GOTO useitem
                END IF
                IF f$ = "n" THEN GOTO useitem
        LOOP
END IF

useitem3:
COLOR 4
IF flees% <= 0 THEN
        LOCATE 18, 11: PRINT "No item to use!                           "
        DO: LOOP WHILE INKEY$ = ""
        GOTO useitem
END IF
IF flees% >= 1 THEN
        LOCATE 17, 11: PRINT "You have "; flees%; " battle flees remaining.   "
        LOCATE 18, 11: PRINT "Use one and flee this battle to last town?      "
        LOCATE 19, 11: PRINT "         [Y/N]                                  "
        DO
        f$ = INKEY$
                IF f$ = "y" THEN
                        flees% = flees% - 1
                        LOCATE 17, 11: PRINT "You have "; flees%; " flee battles remaining.    "
                        LOCATE 18, 11: PRINT "Fleeing to last town...                          "
                        LOCATE 19, 11: PRINT "                                                 "
                        DO: LOOP WHILE INKEY$ = ""
                        CLS
                        GOTO backtogame
                END IF
                IF f$ = "n" THEN GOTO useitem
        LOOP
END IF

SUB player
DRAW "u8 r8 d8 l8 r3 d3 r3 u3 d3 r3 l10 d10 r2 u7 d7 r6 u7 d7 r2 u10 d10 l1 d7 l4 u6 d6 l4 u7"

END SUB

